Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Interface IEncodingActionsDefinitionIds

public interface IEncodingActionsDefinitionIds

Defines the definition IDs for the encoding actions.

This interface contains constants only; it is not intended to be implemented.

Since:
  2.0

Field Summary
`static String` | `CUSTOM` Action definition id of the action to change the encoding into a custom encoding.
`static String` | `DEFAULT` Action definition id of the action to change the encoding into default.
`static String` | `ISO_8859_1` Action definition id of the action to change the encoding into ISO-8859-1.
`static String` | `SYSTEM` Action definition id of the action to change the encoding into the system encoding.
`static String` | `US_ASCII` Action definition id of the action to change the encoding into US ASCII.
`static String` | `UTF_16` Action definition id of the action to change the encoding into UTF-16.
`static String` | `UTF_16BE` Action definition id of the action to change the encoding into UTF-16BE.
`static String` | `UTF_16LE` Action definition id of the action to change the encoding into UTF-16LE.
`static String` | `UTF_8` Action definition id of the action to change the encoding into UTF-8.

Field Detail

### DEFAULT

    public static final String DEFAULT

  Action definition id of the action to change the encoding into default. Value is `"org.eclipse.ui.edit.text.encoding.default"`.

  Since:
    3.0
  See Also:
    Constant Field Values

### US_ASCII

    public static final String US_ASCII

  Action definition id of the action to change the encoding into US ASCII. Value is `"org.eclipse.ui.edit.text.encoding.us-ascii"`.

  See Also:
    Constant Field Values

### ISO_8859_1

    public static final String ISO_8859_1

  Action definition id of the action to change the encoding into ISO-8859-1. Value is `"org.eclipse.ui.edit.text.encoding.iso-8859-1"`.

  See Also:
    Constant Field Values

### UTF_8

    public static final String UTF_8

  Action definition id of the action to change the encoding into UTF-8. Value is `"org.eclipse.ui.edit.text.encoding.utf-8"`.

  See Also:
    Constant Field Values

### UTF_16BE

    public static final String UTF_16BE

  Action definition id of the action to change the encoding into UTF-16BE. Value is `"org.eclipse.ui.edit.text.encoding.utf-16be"`.

  See Also:
    Constant Field Values

### UTF_16LE

    public static final String UTF_16LE

  Action definition id of the action to change the encoding into UTF-16LE. Value is `"org.eclipse.ui.edit.text.encoding.utf-16le"`.

  See Also:
    Constant Field Values

### UTF_16

    public static final String UTF_16

  Action definition id of the action to change the encoding into UTF-16. Value is `"org.eclipse.ui.edit.text.encoding.utf-16"`.

  See Also:
    Constant Field Values

### SYSTEM

    public static final String SYSTEM

  Action definition id of the action to change the encoding into the system encoding. Value is `"org.eclipse.ui.edit.text.encoding.system"`.

  See Also:
    Constant Field Values

### CUSTOM

    public static final String CUSTOM

  Action definition id of the action to change the encoding into a custom encoding. Value is `"org.eclipse.ui.edit.text.encoding.custom"`.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.